package it.polimi.ingsw.gc14.Network.RMI.Common;

import it.polimi.ingsw.gc14.Network.NetworkEvent;

import java.rmi.*;

public interface IGameServer extends Remote {

    boolean joinGame(String username,int preferredInt, IClientCallback callback) throws RemoteException;
    boolean doEvent(NetworkEvent event) throws RemoteException;

}
